package com.example.Models.Statements;

import com.example.Models.Program.IDictionary;
import com.example.Models.Program.ProgramState;
import com.example.Models.Types.IType;
import com.example.Exceptions.BaseException;

public interface IStatement{
    public ProgramState execute(ProgramState state) throws BaseException;
    public IStatement copy();
    public IDictionary<String, IType> typeCheck(IDictionary<String, IType> typeTable) throws BaseException;
}
